#
# spec file for package python-jupyter_jgraph
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-jupyter_jgraph
Version:        0.2.1
Release:        bp155.2.10
Summary:        An embeddable webGL graph visualization library
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/patrickfuller/jgraph/
Source:         https://files.pythonhosted.org/packages/source/j/jgraph/jgraph-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module jupyter_ipython}
%endif
Requires:       python-jupyter_ipython
BuildArch:      noarch

%python_subpackages

%description
An embeddable webGL graph visualization library.
With this, jgraph can be used with Jupyter notebooks.

%prep
%setup -q -n jgraph-%{version}
sed -i -e '/^#!\//, 1d' python/json_formatter.py
chmod a-x LICENSE.txt
cp -r python jgraph
cp -r js jgraph/js

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.txt
%{python_sitelib}/jgraph/
%{python_sitelib}/jgraph-%{version}-py*.egg-info

%changelog
* Thu Jun  7 2018 jengelh@inai.de
- Use noun phrase in summary.
- Remove personal opinions from description.
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Sun Oct 22 2017 toddrme2178@gmail.com
- Initial version
